package com.qunzhixinxi.hnqz.admin.enums;

/**
 * WmScorePackage实体类的scorePackageStatus积分包状态枚举类
 *
 * @author lixuesong
 * @date 2021年05月27日 15:42
 */
public enum ScorePackageStatusEnum {

	/**
	 * 已下发待申领
	 */
	UNCLAIMED("1"),
	/**
	 * 已申领待审批
	 */
	PENDING_APPROVAL("2"),
	/**
	 * 进行中
	 */
	IN_PROGRESS("3"),
	/**
	 * 已完成待结算
	 */
	TO_BE_SETTLED("4"),
	/**
	 * 已提交结算申请
	 */
	SETTLEMENT_SUBMITTED("5"),
	/**
	 * 已终止
	 */
	TERMINATED("6"),
	/**
	 * 已完成待提交审批
	 */
	TO_BE_APPROVAL("7");

	private String val;

	ScorePackageStatusEnum(String val) {
		this.val = val;
	}

	public String val() {
		return this.val;
	}
}
